function E0090()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(0)
end
function E0091()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(1)
end
function E0092()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(2)
end
function E0093()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(3)
end
function E0094()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(4)
end

function InitMapLayer()
    DNP("InitMapLayer")
    if(DIF() == 0) then
        CMP("cmpLayer1","mainLayer")
    end
end

function GoWindCave()
    PRI()FAO(2)TRA("CS_windycave","E0090",39,7)
end

function GoSoapCastleGolemTower()
    PRI()FAO(1)TRA("CS_soapcastle_golemtower","SlayTheCastle",3,60,0,74)
end

function Frog1()
    if(FLJ("GetCapacitor")) then
        PRI()
        FAC("frog_normal")
        MS4("\n祝你接下来顺利。")NOD()
    else
        PRI()
        FAC("frog_normal")
        MS4("传言肥皂妖怪们很喜欢美丽的大鱼，")NOD()
        CAT("\n然后把它们像佛一样的供着。")NOD()CLR()
        CAT("还好我不是鱼。")NOD()
        MS4("\n但我知道像你这样的反抗者")
        CAT("\n一定会出现的。")NOD()CLR()
        CAT("你们是要去击败肥皂妖怪吧？")NOD()
        CAT("\n但很不巧我这边的货物")
        CAT("\n只剩下了电容器...")NOD()
        CAT("\n我就把它送给你吧。")NOD()CLR()
        GIT("Capacitor")
        SOU("CS_038_get_item")
        ITP("Capacitor")
        FLP("GetCapacitor")
        FAC()CAT("\n获得了- 电容器 -")NOD()
    end
end